%global toolchain clang

Summary:        Performance-portable, length-agnostic SIMD with runtime dispatch
Name:           highway
Version:        1.0.4
Release:        6%{?dist}
License:        Apache-2.0
URL:            https://github.com/google/highway
Source0:        %url/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake clang
BuildRequires:  libatomic gtest-devel

%description
Highway is a C++ library that provides portable SIMD/vector intrinsics.


%package        devel
Summary:        Development files for Highway
Requires:       %{name} = %{version}-%{release}

%description devel
Development files and documents or %{name}.


%prep
%autosetup -p1 -n %{name}-%{version}


%build
%cmake -DHWY_SYSTEM_GTEST:BOOL=ON
%cmake_build


%install
%cmake_install


%check
%ctest --exclude-regex "wyBlockwiseTestGroup/HwyBlockwiseTest.TestAllBroadcast"


%files
%license LICENSE
%{_libdir}/libhwy.so.1
%{_libdir}/libhwy.so.%{version}
%{_libdir}/libhwy_contrib.so.1
%{_libdir}/libhwy_contrib.so.%{version}
%{_libdir}/libhwy_test.so.1
%{_libdir}/libhwy_test.so.%{version}


%files devel
%license LICENSE
%doc g3doc hwy/examples
%{_libdir}/cmake/hwy/
%{_libdir}/libhwy.so
%{_libdir}/libhwy_contrib.so
%{_libdir}/libhwy_test.so
%{_libdir}/pkgconfig/libhwy.pc
%{_libdir}/pkgconfig/libhwy-contrib.pc
%{_libdir}/pkgconfig/libhwy-test.pc
%{_includedir}/hwy/


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-5
- Rebuilt for loongarch release

* Mon Dec 25 2023 luffyluo <luffyluo@tencent.com> - 1.0.4-4
- Rebuilt for llvm 17.0.6

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 rockerzhu <rockerzhu@tencent.com> - 1.0.4-1
- Initial build
